Bug 1020788 - Section 6.4.2 of Docs: User Guide provides a non-working python script
Section 6.4.2 of Docs: User Guide provides a non-working python script
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs User Guide (Show other bugs)
560
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Megan Lewis
Dan Macpherson
: Triaged
Depends On:
Blocks: sat-docs
  Show dependency treegraph
 
Reported: 2013-10-18 05:29 EDT by Rich Jerrido
Modified: 2015-07-07 19:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-07 19:55:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Jerrido 2013-10-18 05:29:05 EDT
Description of problem:

Section 6.4.2 of the Satellite 5.6 User Guide [1] provides a non-working Python script. The docs provide:

"
#!/usr/bin/python
client = xmlrpclib.Server('https://satellite.example.com/rpc/api')
key = client.auth.login('username', 'password')
client.system.scap.scheduleXccdfScan(key, 1000010001,
    '/usr/local/share/scap/usgcb-rhel5desktop-xccdf.xml',
    '--profile united_states_government_configuration_baseline')
"

It should provide
"#!/usr/bin/python
import xmlrpclib
client = xmlrpclib.Server('https://satellite.example.com/rpc/api')
key = client.auth.login('username', 'password')
client.system.scap.scheduleXccdfScan(key, 1000010001,
    '/usr/local/share/scap/usgcb-rhel5desktop-xccdf.xml',
    '--profile united_states_government_configuration_baseline')
"


[1] - https://access.redhat.com/site/documentation/en-US/Red_Hat_Satellite/5.6/html-single/User_Guide/index.html#sect-Red_Hat_Satellite-User_Guide-Performing_Audit_Scans-Using_the_API_to_Perform_Audit_Scans
Comment 1 Dan Macpherson 2014-01-21 10:20:15 EST
This bug can be worked on early during the planning stages for Satellite 5.7.

Note You need to log in before you can comment on or make changes to this bug.